Subject: Re: [PATCH net-next v2] netlink: split up copies in the ack construction

From: Stephen Hemminger <[email-masked]>
Date: Thu, 17 Nov 2022 18:37:33 -0800

On Thu, 17 Nov 2022 12:36:15 -0800
Jakub Kicinski <[email-masked]> wrote:

> On Thu, 17 Nov 2022 08:25:56 -0800 Stephen Hemminger wrote:
> > > I was asking based on your own commit 1e6e9d0f4859 ("uapi: revert
> > > flexible-array conversions"). This is uAPI as well.    
> >  
> > Some of the flex-array conversions fixed build warnings that occur in
> > iproute2 when using Gcc 12 or later.  
> 
> Alright, this is getting complicated. I'll post a patch to fix 
> the issue I've added and gently place my head back into the sand.

Building iproute2 with current 6.1-rc5 headers.
Gcc-12 is clean but Clang gets:
    CC       xfrm_state.o
xfrm_state.c:490:8: warning: field 'u' with variable sized type 'union (unnamed union at xfrm_state.c:486:6)' not at the end of a struct or class is a GNU extension [-Wgnu-variable-sized-type-not-at-end]
                                        } u;
                                          ^
This problem started with 6.0.